Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# SDLmm Namespace Reference

The namespace for the SDLmm library. More...

## Compounds
class | SDLmm::Audio
class | SDLmm::BaseSurface
| An abstract base class for graphical surfaces. More...
class | SDLmm::CD
class | SDLmm::ColorRGB
| A small usefull class representing an RGB color. More...
class | SDLmm::ColorRGBA
| A small usefull class representing an RGBA color. More...
class | SDLmm::Display
| The video frame buffer surface. More...
class | SDLmm::Event
| The general Event class. More...
class | SDLmm::EventHandler
| The base class used for custom Event handlers. More...
class | SDLmm::Joystick
class | SDLmm::PixelFormat
class | SDLmm::SPoint
| A small usefull class representing a point in 2 dimensional space. More...
class | SDLmm::SRect
| This enhanced version of SDL_Rect includes a number of handy short-hand constructors. Since the class is derived from the SDL_Rect struct, it can be used in any context where an SDL_Rect is valid. More...
class | SDLmm::Surface
| A graphical surface structure which is used to store graphical data. More...
class | SDLmm::Timer
class | SDLmm::VideoInfo
| Video target information. More...
## Typedefs
typedef Uint32 | Color
## Functions
bool | Init (Uint32 flags)
| Initializes SDL. More...
void | Quit ()
| Shut down SDL. More...
Uint32 | WasInit (Uint32 flags)
| Check which subsystems are initialized. More...
const char* | GetError ()
| Get the latest error message. More...
const char* | version ()
| Return the SDLmm library version. More...

## Detailed Description

The namespace for the SDLmm library.

## Typedef Documentation

typedef Uint32 SDLmm::Color

## Function Documentation

const char * SDLmm::GetError ( | )

| Get the latest error message. Returns: The error message for the last SDL function that failed.

bool SDLmm::Init ( | Uint32 flags )

  | Initializes SDL. This method should be called before utilizing any other SDL or SDLmm functionality. The flags parameter specifies what part(s) of SDL to initialize (see the SDL documentation for details). Parameters:
  flags | the subsystems to initalize
Returns: true on success, false on error Note: In SDLmm the preferred way of initiating subsystem is to use the Init() function in the subsystem classes. I.e to initialize audio and video, run Display::Init() and Audio::Init(). Also note that instantiating an object might be enough (for example creating a VideoInfo instance will initialize the video subsystem).

void SDLmm::Quit ( | )

| Shut down SDL. Quit() shuts down all SDL subsystems and frees the resources allocated to them. This should always be called before you exit. For the sake of simplicity you can set Quit() as your atexit call, like this:
        SDLmm::Init(SDL_INIT_VIDEO|SDL_INIT_AUDIO);
        atexit(SDLmm::Quit);

Uint32 SDLmm::WasInit ( | Uint32 flags )

  | Check which subsystems are initialized. This allows you to see which SDL subsytems have been initialized. Parameters:
  flags | bitwise OR'd combination of the subsystems you wish to check
Returns: A bitwised OR'd combination of the initialized subsystems.

const char * SDLmm::version ( | )

| Return the SDLmm library version.

Documentation automatically generated by written by Dimitri van Heesch. | Project hosted at